import java.util.Calendar;


class Client {
    public static void main(String[] args) {
        int month = Calendar.getInstance().get(Calendar.MONTH);
        FestFactory f = null;

        switch (month) {
        case 10:
        case 11:
        case 12:
            f = new WeihnachtsFactory();
            break;

        case 2:
        case 3:
        case 4:
            f = new OsterFactory();
            break;

        default:
            System.out.println("Momentan ist weder Weihnachten noch Ostern! :(");       
        }
        Hohlfigur h = f.CreateHohlfigur();
        Kugel k = f.CreateKugel();

        f.print();
        h.print();
        k.print();   
    }
}
